com.airbnb.android.react.maps

## Class AirMapCircle

- java.lang.Object
- - ReactViewGroup
  - - com.airbnb.android.react.maps.AirMapFeature
    - - com.airbnb.android.react.maps.AirMapCircle

    public class AirMapCircle
    extends AirMapFeature

### Constructor Summary

Constructors
Constructor and Description
`AirMapCircle(android.content.Context context)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addToMap(GoogleMap map)`
`CircleOptions` `getCircleOptions()`
`java.lang.Object` `getFeature()`
`void` `removeFromMap(GoogleMap map)`
`void` `setCenter(LatLng center)`
`void` `setFillColor(int color)`
`void` `setRadius(double radius)`
`void` `setStrokeColor(int color)`
`void` `setStrokeWidth(float width)`
`void` `setZIndex(float zIndex)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AirMapCircle

    public AirMapCircle(android.content.Context context)

### Method Detail

#### setCenter

    public void setCenter(LatLng center)

#### setRadius

    public void setRadius(double radius)

#### setFillColor

    public void setFillColor(int color)

#### setStrokeColor

    public void setStrokeColor(int color)

#### setStrokeWidth

    public void setStrokeWidth(float width)

#### setZIndex

    public void setZIndex(float zIndex)

#### getCircleOptions

    public CircleOptions getCircleOptions()

#### getFeature

    public java.lang.Object getFeature()

Specified by:
  `getFeature` in class `AirMapFeature`

#### addToMap

    public void addToMap(GoogleMap map)

Specified by:
  `addToMap` in class `AirMapFeature`

#### removeFromMap

    public void removeFromMap(GoogleMap map)

Specified by:
  `removeFromMap` in class `AirMapFeature`